<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
<xsl:variable name="strCertificateManagement"><!--XLATESTART-->Zertifikatsverwaltung<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strGenerate"><!--XLATESTART-->Erstellen<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strX509CertificateGeneration"><!--XLATESTART-->X.509-Zertifikaterstellung<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlias"><!--XLATESTART-->Alias-Name <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlreadyExistsFill"><!--XLATESTART--> besteht bereits. Füllen Sie alle Zertifikatdetails aus.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFailedToGenerate"><!--XLATESTART-->Konnte Zertifikat nicht mit Alias-Namen erstellen <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFillInAll"><!--XLATESTART--> . Füllen Sie alle Zertifikatdetails erneut aus.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlias1"><!--XLATESTART-->Alias: <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeyGenerationAlgorithm"><!--XLATESTART-->Schlüsselerstellungs-Algorithmus: <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeySize"><!--XLATESTART-->Schlüsselgröße: <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriod"><!--XLATESTART-->Gültigkeitszeitraum: <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommonNameCN"><!--XLATESTART-->Allgemeiner Name (CN): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationO"><!--XLATESTART-->Organisation (O): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationUnitOU"><!--XLATESTART-->Organisationseinheit (OU): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLocalityL"><!--XLATESTART-->Ort (L): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStateST"><!--XLATESTART-->Bundesland/Kanton (S): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCountryC"><!--XLATESTART-->Land (C): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFillInAll1"><!--XLATESTART-->Tragen Sie alle Zertifikatdetails unten ein und klicken Sie auf Erstellen, um ein neues X.509-Zertifikat zu erstellen.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlias2"><!--XLATESTART-->Alias: <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeyGenerationAlgorithm1"><!--XLATESTART-->Schlüsselerstellungs-Algorithmus: <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeySize1"><!--XLATESTART-->Schlüsselgröße: <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriod1"><!--XLATESTART-->Gültigkeitszeitraum: <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommonNameCN1"><!--XLATESTART-->Allgemeiner Name (CN): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationO1"><!--XLATESTART-->Organisation (O): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationUnitOU1"><!--XLATESTART-->Organisationseinheit (OU): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLocalityL1"><!--XLATESTART-->Ort (L): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStateST1"><!--XLATESTART-->Bundesland/Kanton (S): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCountryC1"><!--XLATESTART-->Land (C): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInvalidValueFor"><!--XLATESTART-->"Ungültiger Wert für \"" + varname + "\", nur Zeichen und Zahlen verwenden."<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInvalidValueFor1"><!--XLATESTART-->"Ungültiger Wert für \"" + varname + "\", nur Zeichen und Zahlen verwenden."<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAliasIsRequired"><!--XLATESTART-->Alias-Name ist erforderlich<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeIsRequired"><!--XLATESTART-->Schlüsselgröße ist erforderlich<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriodIs"><!--XLATESTART-->Gültigkeitszeitraum ist erforderlich<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommonNameCNIs"><!--XLATESTART-->Allgemeiner Name (CN) ist erforderlich<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationOIsRequired"><!--XLATESTART-->Organisation (O) ist erforderlich<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationUnitOUIs"><!--XLATESTART-->Organisationseinheit (OU) ist erforderlich<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLocalityLIsRequired"><!--XLATESTART-->Ort (L) ist erforderlich<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStateSTIsRequired"><!--XLATESTART-->Bundesland/Kanton (S) ist erforderlich<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeIsNot"><!--XLATESTART-->Schlüsselgröße ist keine Zahl<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeShouldBe"><!--XLATESTART-->Schlüsselgröße sollte zwischen 512 und 2048 liegen<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeShouldBe1"><!--XLATESTART-->Schlüsselgröße muss eine Potenz von zwei sein<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriodIs1"><!--XLATESTART-->Gültigkeitszeitraum ist keine Zahl<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriodFalls"><!--XLATESTART-->Gültigkeitszeitraum sollte zwischen 1 - 3650 Tagen liegen<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeCanHave"><!--XLATESTART-->Schlüsselgröße kann nur Ganzzahlwerte aufweisen.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityCanHave"><!--XLATESTART-->Gültigkeit kann nur Ganzzahlwerte aufweisen.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlias3"><!--XLATESTART-->Alias-Name<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommonNameCN2"><!--XLATESTART-->Allgemeiner Name (CN)<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationO2"><!--XLATESTART-->Organisation(O)<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationUnitOU2"><!--XLATESTART-->Organisationseinheit(OU)<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLocalityL2"><!--XLATESTART-->Ort(L)<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStateST2"><!--XLATESTART-->Bundesland/Kanton (S)<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAliasNewaliasAlready"><!--XLATESTART-->"Alias " + newalias + " existiert schon."<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strGeneratingANew"><!--XLATESTART-->Die Erstellung eines neuen Zertifikats erstellt eine Sicherungskopie und löscht das bestehende Zertifikat. Vorgang fortsetzen?<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBits"><!--XLATESTART-->Bit<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDays"><!--XLATESTART-->Tage<!--XLATESTOP--></xsl:variable>
</xsl:stylesheet>
