<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
<xsl:variable name="strCertificateEntry"><!--XLATESTART-->Certificate Entry<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strX509CertificateContents"><!--XLATESTART-->X.509 Certificate Contents<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlias"><!--XLATESTART-->Alias<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCreationDate"><!--XLATESTART-->Creation Date<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strProvider"><!--XLATESTART-->Provider<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCertificateChain"><!--XLATESTART-->Certificate Chain: <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCertificateChainElement"><!--XLATESTART-->Certificate Chain Element<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCertificateChainElement1"><!--XLATESTART-->Certificate Chain Element<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAttributes"><!--XLATESTART-->Attributes<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAttributes1"><!--XLATESTART-->Attributes<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCertificateValue"><!--XLATESTART-->Certificate Value<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCertificateValue1"><!--XLATESTART-->Certificate Value<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strType"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strType1"><!--XLATESTART-->Type<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strVersion"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strVersion1"><!--XLATESTART-->Version<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strIsValid"><!--XLATESTART-->Is Valid<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strIsValid1"><!--XLATESTART-->Is Valid<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSubject"><!--XLATESTART-->Subject<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSubject1"><!--XLATESTART-->Subject<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strIssuer"><!--XLATESTART-->Issuer<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strIssuer1"><!--XLATESTART-->Issuer<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidFrom"><!--XLATESTART-->Valid From<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidFrom1"><!--XLATESTART-->Valid From<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidTo"><!--XLATESTART-->Valid To<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidTo1"><!--XLATESTART-->Valid To<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSerialNumber"><!--XLATESTART-->Serial Number<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSerialNumber1"><!--XLATESTART-->Serial Number<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPublicKey"><!--XLATESTART-->Public Key<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPublicKey1"><!--XLATESTART-->Public Key<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPublicKeyAlgorithm"><!--XLATESTART-->Public Key Algorithm<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strPublicKeyAlgorithm1"><!--XLATESTART-->Public Key Algorithm<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeyUsage"><!--XLATESTART-->Key Usage<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeyUsage1"><!--XLATESTART-->Key Usage<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSignature"><!--XLATESTART-->Signature<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSignature1"><!--XLATESTART-->Signature<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSignatureAlgorithmName"><!--XLATESTART-->Signature Algorithm Name<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSignatureAlgorithmName1"><!--XLATESTART-->Signature Algorithm Name<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSignatureAlgorithmOID"><!--XLATESTART-->Signature Algorithm OID<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSignatureAlgorithmOID1"><!--XLATESTART-->Signature Algorithm OID<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSignatureAlgorithmParameters"><!--XLATESTART-->Signature Algorithm Parameters<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSignatureAlgorithmParameters1"><!--XLATESTART-->Signature Algorithm Parameters<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strTBSCertificate"><!--XLATESTART-->TBS Certificate<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strTBSCertificate1"><!--XLATESTART-->TBS Certificate<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBasicConstraints"><!--XLATESTART-->Basic Constraints<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBasicConstraints1"><!--XLATESTART-->Basic Constraints<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSubjectUniqueID"><!--XLATESTART-->Subject Unique ID<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSubjectUniqueID1"><!--XLATESTART-->Subject Unique ID<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strIssuerUniqueID"><!--XLATESTART-->Issuer Unique ID<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strIssuerUniqueID1"><!--XLATESTART-->Issuer Unique ID<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMD5Fingerprints"><!--XLATESTART-->MD5 Fingerprints<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strMD5Fingerprints1"><!--XLATESTART-->MD5 Fingerprints<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSHA1Fingerprints"><!--XLATESTART-->SHA1 Fingerprints<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strSHA1Fingerprints1"><!--XLATESTART-->SHA1 Fingerprints<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEncodedCertificate"><!--XLATESTART-->Encoded Certificate<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strEncodedCertificate1"><!--XLATESTART-->Encoded Certificate<!--XLATESTOP--></xsl:variable>
</xsl:stylesheet>
