<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
<xsl:variable name="strCertificateManagement"><!--XLATESTART-->Certificate Management<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strGenerate"><!--XLATESTART-->Generate<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strX509CertificateGeneration"><!--XLATESTART-->X.509 Certificate generation<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlias"><!--XLATESTART-->Alias <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlreadyExistsFill"><!--XLATESTART--> already exists. Fill in all certificate details again.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFailedToGenerate"><!--XLATESTART-->Failed to generate certificate with alias <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFillInAll"><!--XLATESTART--> . Fill in all certificate details again.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlias1"><!--XLATESTART-->Alias: <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeyGenerationAlgorithm"><!--XLATESTART-->Key Generation Algorithm: <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeySize"><!--XLATESTART-->Key Size: <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriod"><!--XLATESTART-->Validity Period: <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommonNameCN"><!--XLATESTART-->Common Name (CN): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationO"><!--XLATESTART-->Organization (O): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationUnitOU"><!--XLATESTART-->Organization Unit (OU): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLocalityL"><!--XLATESTART-->Locality (L): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStateST"><!--XLATESTART-->State (ST): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCountryC"><!--XLATESTART-->Country (C): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFillInAll1"><!--XLATESTART-->Fill in all certificate details below, and click Generate to create a new X.509 certificate.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlias2"><!--XLATESTART-->Alias: <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeyGenerationAlgorithm1"><!--XLATESTART-->Key Generation Algorithm: <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeySize1"><!--XLATESTART-->Key Size: <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriod1"><!--XLATESTART-->Validity Period: <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommonNameCN1"><!--XLATESTART-->Common Name (CN): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationO1"><!--XLATESTART-->Organization (O): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationUnitOU1"><!--XLATESTART-->Organization Unit (OU): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLocalityL1"><!--XLATESTART-->Locality (L): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStateST1"><!--XLATESTART-->State (ST): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCountryC1"><!--XLATESTART-->Country (C): <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInvalidValueFor"><!--XLATESTART-->"Invalid value for \"" + varname + "\", use characters and numbers only."<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInvalidValueFor1"><!--XLATESTART-->"Invalid value for \"" + varname + "\", use characters and numbers only."<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAliasIsRequired"><!--XLATESTART-->Alias is Required<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeIsRequired"><!--XLATESTART-->Keysize is required<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriodIs"><!--XLATESTART-->Validity Period is required<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommonNameCNIs"><!--XLATESTART-->Common Name(CN) is Required<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationOIsRequired"><!--XLATESTART-->Organization(O) is required<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationUnitOUIs"><!--XLATESTART-->Organization Unit(OU) is required<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLocalityLIsRequired"><!--XLATESTART-->Locality(L) is required<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStateSTIsRequired"><!--XLATESTART-->State(ST) is required<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeIsNot"><!--XLATESTART-->Keysize is not a number<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeShouldBe"><!--XLATESTART-->Keysize should be between 512 and 2048<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeShouldBe1"><!--XLATESTART-->Keysize should be a power of 2<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriodIs1"><!--XLATESTART-->Validity Period is not a number<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriodFalls"><!--XLATESTART-->Validity Period falls between 1 - 3650 days<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeCanHave"><!--XLATESTART-->Keysize can have only integer values.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityCanHave"><!--XLATESTART-->Validity can have only integer values.<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlias3"><!--XLATESTART-->Alias<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommonNameCN2"><!--XLATESTART-->Common Name (CN)<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationO2"><!--XLATESTART-->Organization (O)<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationUnitOU2"><!--XLATESTART-->Organization Unit (OU)<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLocalityL2"><!--XLATESTART-->Locality (L)<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStateST2"><!--XLATESTART-->State (ST)<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAliasNewaliasAlready"><!--XLATESTART-->"Alias " +  newalias + " already exists."<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strGeneratingANew"><!--XLATESTART-->Generating a new certificate will backup and delete the existing certificate. Do you want to continue?<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBits"><!--XLATESTART-->Bits<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDays"><!--XLATESTART-->Days<!--XLATESTOP--></xsl:variable>
</xsl:stylesheet>
