<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
<xsl:variable name="strCertificateManagement"><!--XLATESTART-->証明書管理<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strGenerate"><!--XLATESTART-->生成<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strX509CertificateGeneration"><!--XLATESTART-->X.509 証明書の生成<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlias"><!--XLATESTART-->エイリアス <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlreadyExistsFill"><!--XLATESTART--> は既に存在します。すべての証明書の詳細を再度入力してください。<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFailedToGenerate"><!--XLATESTART-->エイリアスを持つ証明書の生成に失敗しました。<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFillInAll"><!--XLATESTART--> すべての証明書の詳細を再度入力してください。<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlias1"><!--XLATESTART-->エイリアス：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeyGenerationAlgorithm"><!--XLATESTART-->キー生成アルゴリズム：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeySize"><!--XLATESTART-->キーサイズ：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriod"><!--XLATESTART-->有効期間：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommonNameCN"><!--XLATESTART-->共通名 (CN)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationO"><!--XLATESTART-->組織名 (O)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationUnitOU"><!--XLATESTART-->部門名 (OU)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLocalityL"><!--XLATESTART-->地域 (L)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStateST"><!--XLATESTART-->州 (ST)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCountryC"><!--XLATESTART-->国 (C)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFillInAll1"><!--XLATESTART-->以下に証明書の詳細をすべて記入して、生成 をクリックすると新しい X.509 証明書が作成されます。<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlias2"><!--XLATESTART-->エイリアス：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeyGenerationAlgorithm1"><!--XLATESTART-->キー生成アルゴリズム：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeySize1"><!--XLATESTART-->キーサイズ：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriod1"><!--XLATESTART-->有効期間：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommonNameCN1"><!--XLATESTART-->共通名 (CN)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationO1"><!--XLATESTART-->組織名 (O)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationUnitOU1"><!--XLATESTART-->部門名 (OU)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLocalityL1"><!--XLATESTART-->地域 (L)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStateST1"><!--XLATESTART-->州 (ST)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCountryC1"><!--XLATESTART-->国 (C)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInvalidValueFor"><!--XLATESTART-->"\"" + varname + "\", 文字と数字のみを使用してください。"<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInvalidValueFor1"><!--XLATESTART-->"\"" + varname + "\", 文字と数字のみを使用してください。"<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAliasIsRequired"><!--XLATESTART-->エイリアスが必要です<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeIsRequired"><!--XLATESTART-->キーサイズが必要です<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriodIs"><!--XLATESTART-->有効期間が必要です<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommonNameCNIs"><!--XLATESTART-->共通名 (CN) が必要です<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationOIsRequired"><!--XLATESTART-->組織名（O）が必要です<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationUnitOUIs"><!--XLATESTART-->部門名（OU）が必要です<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLocalityLIsRequired"><!--XLATESTART-->地域名（L）が必要です<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStateSTIsRequired"><!--XLATESTART-->州（ST）が必要です<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeIsNot"><!--XLATESTART-->キーサイズは数字ではありません。<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeShouldBe"><!--XLATESTART-->キーサイズは 512 ~ 2048 にしてください<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeShouldBe1"><!--XLATESTART-->キーサイズは 2 の累乗でなければいけません。<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriodIs1"><!--XLATESTART-->有効期間は数字ではありません<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriodFalls"><!--XLATESTART-->有効期間は 1 - 3650 日にします<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeCanHave"><!--XLATESTART-->キーサイズは整数値のみを持つことができます。<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityCanHave"><!--XLATESTART-->キーサイズは整数値のみを持つことができます。<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlias3"><!--XLATESTART-->エイリアス<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommonNameCN2"><!--XLATESTART-->共通名 (CN)<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationO2"><!--XLATESTART-->組織名 (O)<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationUnitOU2"><!--XLATESTART-->部門名 (OU)<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLocalityL2"><!--XLATESTART-->地域 (L)<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStateST2"><!--XLATESTART-->州 (ST)<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAliasNewaliasAlready"><!--XLATESTART-->newalias + " のエイリアスはすでに存在します。"<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strGeneratingANew"><!--XLATESTART-->新規証明書を生成すると、既存の証明書がバックアップされて削除されます。 続行してよろしいですか?<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBits"><!--XLATESTART-->ビット<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDays"><!--XLATESTART-->日<!--XLATESTOP--></xsl:variable>
</xsl:stylesheet>
