<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
<xsl:variable name="strCertificateManagement"><!--XLATESTART-->认证管理<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strGenerate"><!--XLATESTART-->生成<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strX509CertificateGeneration"><!--XLATESTART-->X.509 认证生成<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlias"><!--XLATESTART-->别名 <!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlreadyExistsFill"><!--XLATESTART--> 已存在。 重新填写所有认证详情。<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFailedToGenerate"><!--XLATESTART-->无法生成以下别名的认证：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFillInAll"><!--XLATESTART--> 。重新填写所有认证详情。<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlias1"><!--XLATESTART-->别名：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeyGenerationAlgorithm"><!--XLATESTART-->密钥生成算法：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeySize"><!--XLATESTART-->密钥大小：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriod"><!--XLATESTART-->有效期：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommonNameCN"><!--XLATESTART-->常用名 (CN)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationO"><!--XLATESTART-->组织 (O)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationUnitOU"><!--XLATESTART-->组织部门 (OU)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLocalityL"><!--XLATESTART-->地址 (L)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStateST"><!--XLATESTART-->州省 (ST)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCountryC"><!--XLATESTART-->国家或地区 (C)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strFillInAll1"><!--XLATESTART-->在下面填写所有认证详细信息，然后单击“生成”以生成新的 X.509 认证。<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlias2"><!--XLATESTART-->别名：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeyGenerationAlgorithm1"><!--XLATESTART-->密钥生成算法：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeySize1"><!--XLATESTART-->密钥大小：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriod1"><!--XLATESTART-->有效期：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommonNameCN1"><!--XLATESTART-->常用名 (CN)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationO1"><!--XLATESTART-->组织 (O)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationUnitOU1"><!--XLATESTART-->组织部门 (OU)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLocalityL1"><!--XLATESTART-->地址 (L)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStateST1"><!--XLATESTART-->州省 (ST)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCountryC1"><!--XLATESTART-->国家或地区 (C)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInvalidValueFor"><!--XLATESTART-->"无效值 \"" + varname + "\", 只能使用字符和数字。"<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strInvalidValueFor1"><!--XLATESTART-->"无效值 \"" + varname + "\", 只能使用字符和数字。"<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAliasIsRequired"><!--XLATESTART-->必须有别名<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeIsRequired"><!--XLATESTART-->密钥大小是必需的<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriodIs"><!--XLATESTART-->有效期是必需的<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommonNameCNIs"><!--XLATESTART-->必须有常用名(CN)<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationOIsRequired"><!--XLATESTART-->组织 (O) 是必需的<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationUnitOUIs"><!--XLATESTART-->组织部门 (OU) 是必需的<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLocalityLIsRequired"><!--XLATESTART-->地点 (L) 是必需的<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStateSTIsRequired"><!--XLATESTART-->状态 (ST) 是必需的<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeIsNot"><!--XLATESTART-->密钥大小不是数值<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeShouldBe"><!--XLATESTART-->密钥大小应在 512 和 2048 之间<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeShouldBe1"><!--XLATESTART-->密钥大小应该是 2 的乘方<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriodIs1"><!--XLATESTART-->有效期不是数值<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityPeriodFalls"><!--XLATESTART-->有效期在 1 到 3650 天之间<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strKeysizeCanHave"><!--XLATESTART-->密钥大小只能具有整数值。<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strValidityCanHave"><!--XLATESTART-->有效期只能具有整数值。<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAlias3"><!--XLATESTART-->别名<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strCommonNameCN2"><!--XLATESTART-->常用名 (CN)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationO2"><!--XLATESTART-->组织 (O)<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strOrganizationUnitOU2"><!--XLATESTART-->组织部门 (OU)<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strLocalityL2"><!--XLATESTART-->地址 (L)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strStateST2"><!--XLATESTART-->州省 (ST)：<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strAliasNewaliasAlready"><!--XLATESTART-->"别名 " + newalias + " 已存在。"<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strGeneratingANew"><!--XLATESTART-->生成新认证将备份并删除现有认证。 是否要继续？<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strBits"><!--XLATESTART-->位<!--XLATESTOP--></xsl:variable>
<xsl:variable name="strDays"><!--XLATESTART-->天<!--XLATESTOP--></xsl:variable>
</xsl:stylesheet>
