<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<DataArea exportdata="false">
			<xsl:attribute name="submitdisplay"><xsl:value-of select="$strApplyChanges"/></xsl:attribute>
			<xsl:attribute name="submit">/servlet/SubmitForm?plugin=com.dell.oma.webplugins.SetAccessconfgWebPlugin</xsl:attribute>
			<PageTitle>
				<xsl:attribute name="display"><xsl:value-of select="$strAccessConfiguration"/></xsl:attribute>
			</PageTitle>
			<PromptText><xsl:value-of select="$strConfigureUserAccess"/></PromptText>
			<CustomButton>
				<Data>
					<xsl:attribute name="display"><xsl:value-of select="$strRefresh"/></xsl:attribute>
					<xsl:attribute name="href">/servlet/DataArea?plugin=com.dell.oma.webplugins.AccessconfgWebPlugin&amp;help=access</xsl:attribute>
				</Data>
			</CustomButton>					
			<TableData>
				<Header>
					<Data name="">
						<xsl:attribute name="display"><xsl:value-of select="$strUserAccess"/></xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strUserAccess1"/></xsl:attribute>
					</Data>
				</Header>
				<Row>
					<Data>
						<xsl:attribute name="name">accesspwrusrmask</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strPowerUserAccess"/></xsl:attribute>
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:unCheck('pwrusr')</xsl:attribute>					
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:attribute name="returnvalue">pwrusr</xsl:attribute>
						<xsl:attribute name="state">
							<xsl:if test="Access='3'">1</xsl:if>
							<xsl:if test="Access='2'">1</xsl:if>
						</xsl:attribute>
					</Data>
				</Row>
				<Row>
					<Data>
						<xsl:attribute name="name">accessusrmask</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$strUserAccessGranted"/></xsl:attribute>
						<xsl:attribute name="event">onClick</xsl:attribute>
						<xsl:attribute name="handler">javascript:unCheck('usr')</xsl:attribute>					
						<xsl:attribute name="type">checkbox</xsl:attribute>
						<xsl:attribute name="returnvalue">usr</xsl:attribute>
						<xsl:attribute name="state">
							<xsl:if test="Access='3'">1</xsl:if>
						</xsl:attribute>
					</Data>
				</Row>
			</TableData>
			<script language="javascript">
				function unCheck (userName) {
					if (userName == 'pwrusr') {
						if(document.getElementById("dataarea").accesspwrusrmask.checked == false)
						{
							document.getElementById("dataarea").accessusrmask.checked = false;
						}
					}
					else if (userName == 'usr') {
						if(document.getElementById("dataarea").accessusrmask.checked == true)
						{
							document.getElementById("dataarea").accesspwrusrmask.checked = true;
						}
					}
				}
			</script>
		</DataArea>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
