<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/OMA">
		<HTML>
			<head>
				<title><xsl:value-of select="OEM/OEMTitleCompanyName" />&#160;<xsl:value-of select="OEM/OEMTitleCoreProductName" />&#160;<xsl:value-of select="OEM/ProdName" />&#160;<xsl:value-of select="$strHelp"/></title>
			</head>
			<frameset rows="19,57,*" border="0" frameborder="no" framespacing="0"> 
				<frame name="gnv" scrolling="no" marginheight="0" marginwidth="0" frameborder="no" framespacing="0" noresize="noresize">
					<xsl:choose>
						<xsl:when test="noscript = 'true'">
							<xsl:attribute name="src">/servlet/GlobalNavBarServlet?help=true&amp;login=true&amp;noscript=true</xsl:attribute>
						</xsl:when>						
						<xsl:when test="Login = 'true'">
							<xsl:attribute name="src">/servlet/GlobalNavBarServlet?help=true&amp;login=true</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="src">/servlet/SecureGlobalNavBarServlet?help=true</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
				</frame>
				<frameset cols="165,*" border="0" frameborder="no" framespacing="0">
					<frame name="logo" scrolling="no" marginheight="0" marginwidth="0" frameborder="no" framespacing="0" noresize="noresize">
						<xsl:choose>
							<xsl:when test="Login = 'true'">
								<xsl:attribute name="src">/servlet/ULogo</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="src">/servlet/Logo</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</frame>
					<frame name="SystemInfo" scrolling="no" marginheight="0" marginwidth="0" frameborder="no" framespacing="0" noresize="noresize">
						<xsl:choose>
							<xsl:when test="Login = 'true'">
								<xsl:attribute name="src">/servlet/USysInfo</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="src">/servlet/SysInfo</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</frame>
				</frameset>
				<frame name="help" scrolling="auto" marginheight="0" marginwidth="0" frameborder="no" framespacing="0">
					<xsl:choose>		
						<xsl:when test="noscript = 'true'">
							<xsl:attribute name="src">/servlet/HelpViewer?file=Redirect&amp;app=oma</xsl:attribute>
						</xsl:when>
						<xsl:when test="Login = 'true'">
							<xsl:attribute name="src">/servlet/HelpViewer?file=login&amp;app=oma</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="src">/servlet/HelpServlet</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
				</frame>
			</frameset>
			<noframes />
		</HTML>
	</xsl:template>
</xsl:stylesheet>
